#include <bits/stdc++.h>

using namespace std;

int main() {
    int n, k;
    cin >> n >> k;
    vector<long long> arr(n);
    for(int i = 0; i < n; i++) cin >> arr[i];
    int cnt = 1;
    for(int i = 0; i < n; i++) cnt *= k;
    long long ans = 0;
    for(int mask = 0; mask < cnt; mask++) {
        vector<long long> mxx(n), cnt(n);
        int m2 = mask;
        for(int i = 0; i < n; i++) {
            int t = m2 % k;
            m2 /= k;
            cnt[t]++;
            mxx[t] = max(mxx[t], arr[i] + cnt[t]);
        }
        long long ca = 0;
        for(auto i : mxx) ca += i;
        ans = max(ans, ca);
    }
    cout << ans << '\n';
}
